/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core;

/**
 * This interface is used to resolve a device's MarkUp.
 * 
 * <p>
 * Different environments can use different MarkUp for the same device.
 * Implementing this interface permit to personalize resolved MarkUp.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: MarkupResolver.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public interface MarkupResolver {

	/**
	 * Resolve the MarkUp for the given Device.
	 * 
	 * @param device
	 *            The Device to resolve the MarkUp against.
	 * @return The MarkUp resolved for the given Device.
	 */
	public MarkUp getMarkupForDevice(Device device);

}
