/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core;

/**
 * This interface is responsible to hold a WURFLManager and
 * WURFLUtils instances. 
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: WURFLHolder.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public interface WURFLHolder {

	/**
	 * Return WURFLManager instance.
	 * 
	 * @return a WURFLManager instance.
	 */
	public WURFLManager getWURFLManager();

	/**
	 * Return WURFLUtils instances.
	 * 
	 * @return A WURFLUtils instance.
	 */
	public WURFLUtils getWURFLUtils();
}