/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.cache;

/**
 * Provide cache feature.
 * 
 * <p>
 * Add support to some funny cache library implementing this interface.
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: CacheProvider.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public interface CacheProvider {

	/**
	 * Returns the cached item.
	 * 
	 * @param key
	 *            The cached item key.
	 * @return Cached Object, null if this cache does not contain it.
	 */
	public Object get(Object key);

	/**
	 * Put an item in cache associated to a key.
	 * 
	 * @param key
	 *            The caching item key.
	 * @param value
	 *            The caching item.
	 */
	public void put(Object key, Object value);

	/**
	 * Remove all items from cache.
	 */
	public void clear();
}
