/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import org.apache.commons.lang.StringUtils;

/**
 * Intercept all UAs containing "iPhone" or "iPod"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: AppleHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class AppleHandler extends Handler {

	public AppleHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA contains "iPhone" or "iPod"
	 */
	public boolean canHandle(String userAgent) {
		return StringUtils.contains(userAgent, "iPhone")
				|| StringUtils.contains(userAgent, "iPod");
	}

}
