/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "BenQ" or "BENQ"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: BenQHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class BenQHandler extends Handler {

	public BenQHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks the given UA starts with "BenQ" or "BENQ"
	 */
	public boolean canHandle(String userAgent) {
		return (userAgent.startsWith("BENQ") || userAgent.startsWith("BenQ"));
	}

}
