/*
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import org.apache.commons.lang.StringUtils;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 *
 */
public class BotHandler extends Handler {

	private static final String[] bots = new String[]{"Bot","Crawler","Novarra","Transcoder"};
	
	public BotHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	public boolean canHandle(String userAgent) {
		boolean handles = false;
		for (int i=0;i<bots.length;i++) {
			if (StringUtils.containsIgnoreCase(userAgent, bots[i])) {
				handles = true;
				break;
			}
		}
		return handles;
	}

}
