/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import org.apache.commons.lang.StringUtils;

/**
 * Intercept all UAs containing "Nokia".
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: NokiaHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class NokiaHandler extends Handler {

	public NokiaHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks UA contains "Nokia".
	 */
	public boolean canHandle(String userAgent) {
		return StringUtils.contains(userAgent, "Nokia");
	}

}
