/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Panasonic"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: PanasonicHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class PanasonicHandler extends Handler {

	public PanasonicHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Panasonic"
	 */
	public boolean canHandle(String userAgent) {
		return userAgent.startsWith("Panasonic");
	}

}
