/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Pantech","PANTECH","PT-" or "PG-"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: PantechHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class PantechHandler extends Handler {

	public PantechHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Pantech","PANTECH","PT-" or "PG-"
	 */
	public boolean canHandle(String userAgent) {
		return (userAgent.startsWith("Pantech") || userAgent.startsWith("PT-") || userAgent.startsWith("PANTECH") || userAgent
				.startsWith("PG-"));
	}
}
