/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import org.apache.commons.lang.StringUtils;


/**
 * Intercept all UAs containing "SPV"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: SPVHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class SPVHandler extends Handler {

	public SPVHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Check given UA contains "SPV"
	 */
	public boolean canHandle(String userAgent) {
		return StringUtils.contains(userAgent, "SPV");
	}
}
