/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Sharp" or "SHARP"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: SharpHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class SharpHandler extends Handler {

	public SharpHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Sharp" or "SHARP"
	 */
	public boolean canHandle(String userAgent) {
		return (userAgent.startsWith("Sharp") || userAgent.startsWith("SHARP"));
	}

}
