/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Vodafone"
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: VodafoneHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class VodafoneHandler extends Handler {

	public VodafoneHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Vodafone"
	 */
	public boolean canHandle(String userAgent) {
		return userAgent.startsWith("Vodafone");
	}

}
