/*
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.utils.StringUtils;

/**
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: AndroidMatcher.java 381 2009-11-17 14:29:45Z filippo.deluca $
 * 
 */
public class AndroidMatcher extends AbstractMatcher  {

	public AndroidMatcher(Handler handler) {
		super(handler);
	}
	
	protected String lookForMatchingUserAgent(SortedSet userAgentsSet,
			String userAgent) {
		int tolerance = StringUtils.indexOfOrLength(userAgent, " ", StringUtils.indexOfOrLength(userAgent, "Android"));
		return StringUtils.risMatch(userAgentsSet, userAgent, tolerance);
	}

}
