/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.handlers.classifiers.FilteredDevices;
import net.sourceforge.wurfl.core.request.WURFLRequest;

/**
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: DoCoMoMatcher.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class DoCoMoMatcher extends AbstractMatcher {

	public DoCoMoMatcher(Handler handler) {
		super(handler);
	}

	/**
	 * Does not perform anything. It returns always null. DoCoMo are direct match
	 * only.
	 */
	protected String lookForMatchingUserAgent(SortedSet userAgentsSet,
			String userAgent) {

		// docomo is direct match only
		return null;
	}

	protected String applyRecoveryMatch(WURFLRequest request,
			FilteredDevices filteredDevices) {
		return "docomo_generic_jap_ver1";
	}

}
