/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.request;

/**
 * Abstraction of HTTP request.
 * 
 * <p>
 * This interface is used along the WURFL api. 
 * </p>
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: WURFLRequest.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public interface WURFLRequest {

	/**
	 * Return the user-agent of requester.
	 * 
	 * @return A requester user-agent String
	 */
	public String getUserAgent();

	/**
	 * Return the requester UAProf URL.
	 * 
	 * @return The URL of requester UAProf
	 */
	public String getUserAgentProfile();

}
