/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import org.apache.commons.lang.StringUtils;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * This Normalizer returns MSIE String with the Major and Minor Version Only.
 * 
 * @author Tommaso Teofili
 * @author Filippo De Luca
 * 
 * @version $Id: MSIENormalizer.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class MSIENormalizer implements UserAgentNormalizer {

	/**
	 * Return MSIE String with the Major and Minor Version Only.
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {

		String normalized = userAgent;

		if (StringUtils.contains(userAgent, "MSIE")) {
			int start = userAgent.indexOf("MSIE");
			normalized = StringUtils.substring(userAgent, start, start + 8);

		}

		return normalized;
	}

}
